### Method

# Xdp InputCaptureSession connect_to_eis

#### Declaration [src]

    int
    xdp_input_capture_session_connect_to_eis (
      XdpInputCaptureSession* session
      GError** error
    )

#### Description [src]

Connect this session to an EIS implementation and return the fd. This fd can be passed into ei_setup_backend_fd(). See the libei documentation for details.

This is a sync DBus invocation.

#### Return value

Type: `int`

A socket to the EIS implementation for this input capture session or a negative errno on failure.